Subject: bug#52559: guix pull fails with `Unknown command: nix fish: nix show-derivation "~/.fr-sqOEpp/....-module-import-compiled.drv"

From: Grigory Shepelev <[email-masked]>
Date: Fri, 17 Dec 2021 09:21:13 +0300

Although I was able to "guix pull" with "sudo", as root user normally. As
far as I know guix pull updates only per-user when called.
Can I use the result from root somehow?

пт, 17 дек. 2021 г. в 08:50, Grigory Shepelev <[email-masked]>:

> Thanks for your research.
> Any ideas on how to fix it? I would change the file itself, but /gnu/store
> is read-only.
>
> пт, 17 дек. 2021 г. в 00:50, Maxime Devos <[email-masked]>:
>
>> Grigory Shepelev schreef op vr 17-12-2021 om 00:12 [+0300]:
>> > Extended research. Lead to
>> >
>> > ERROR: In procedure primitive-load:
>> > In procedure scm_lreadr: /gnu/store/l375q7zi0k894a03xdfsq8qsm5nh2m97-
>> > module-import/guix/build/utils.scm:822:1: illegal character in escape
>> > sequence: #\return
>> >
>> > Possibly related to https://www.mail-archive.com/help-
>> > [email-masked]/msg12265.html
>>
>> Here's a minimal reproducer:
>>
>> Run the following in a REPL:
>> (call-with-input-string "\"Hello\\\rcarriage return!\"" read).
>>
>> Alternatively, run guile -l c.scm on the attached file.
>>
>> In both cases, you'll get
>> > invalid character in escape sequence: #\return
>> > > >
>>
>> Greetings,
>> Maxime
>>
>